﻿using System;

using Singleton.FactionInfo;

namespace Singleton.Units
{
    public class Engineer : GameUnit
    {
        public Engineer(FactionDetailsFactory factionFactory)
            : base(factionFactory)
        {
            Type = UnitType.Engineer;

            Description = FactionDetails.GetDescription(Type);
            ShootingBehaviour = FactionDetails.GetShootingBehaviour(Type);
            Armor = FactionDetails.GetArmor(Type);
        }

        public override void Display()
        {
            /* Display code */
        }
    }
}
